function onLoadPage(){	

	var ancho = screen.width / 2;

    var alto = screen.height - screen.height/5; 

	window.resizeTo(ancho,alto);	

}





//Se realiza la b?squeda

function realizarBusqueda(){

	//Formulario en el que nos encontramos

	var form = document.formBuscadorGeneral;

	//Si el buscador es de select multiple

	if(form.selectMultipleBuscadorGeneral.value == "true"){

		//C?digo que selecciona las opciones del combo select multiple inferior

		var tam 		= form.selectMultipleMarcados.options.length;

    	var opciones 	= form.selectMultipleMarcados;

    	for (j=(tam-1);j>=0;j--){

         	opciones.options[j].selected = true;

        }

	}

	//Se realiza un submit del formulario

	form.submit();

} 

//Funci?n que selecciona los elementos de la lista y los pasa al select m?ltiple inferior

function seleccionarMarcados(){

	//Formulario en el que nos encontramos

	var form = document.formBuscadorGeneral;

	//Variable que indica si se ha seleccionado alg?n registro

	var seleccionados = 0;

	//Se recorren los elementos del formulario

	for(i=0;i<form.elements.length;i++){

		//Si los elementos son de tipo checkbox y se han seleccionado

		if ((form.elements[i].type == "checkbox") && (form.elements[i].checked==true)){

			//Valor del checkbox

			var valor = form.elements[i].value;

			//Si no existe se a?ade

			if(!niExiste(valor.substring(0,valor.indexOf("_")))){

				//Variable que indica el n?mero de opciones que dispone

				var stoplength = form.selectMultipleMarcados.options.length++;

				//Se pone el texto

				form.selectMultipleMarcados.options[stoplength].text  = valor.substring(valor.indexOf("_")+1,valor.length);

				//Se pone el valor

				form.selectMultipleMarcados.options[stoplength].value = valor;

			}

		//Se aumenta el valor de la variable

		seleccionados++;

		}

	}

	//Si no se ha seleccionado ning?n valor se indica

	if(seleccionados==0){

		//Se muestra el mensaje

		alert(mensaje);

	}

}

//Funci?n que comprueba si ya se ha seleccionado un NI que existe

function niExiste(niCheckbox){

    //Variable a devolver

	var existe 		= false;

	//Formulario en el que nos encontramos

	var form 		= document.formBuscadorGeneral;

	//Variables para indicar el tamano y las opciones

  	var tam 		= form.selectMultipleMarcados.options.length;

    var opciones 	= form.selectMultipleMarcados;

	//Se recorren los elementos del formulario

	for(var z=(tam-1);z>=0;z--){

		//Ni de la lista

		var niLista=opciones.options[z].value;

		//Se comprueba si el ni del checkbox coincide

		if(niLista.indexOf(niCheckbox+"_")>=0){

			existe = true;

			break;

		}

	}

	return existe;

}

//Funci?n que eliminar el registro seleccionado del select list

function eliminarMarcados(){

  	  //Formulario en el que nos encontramos

	  var form 			= document.formBuscadorGeneral;

	  //Variable que indicar? si se ha seleccionado alg?n registro

  	  var seleccionados	= 0;

  	  //Variables para indicar el tamano y las opciones

  	  var tam 			= form.selectMultipleMarcados.options.length;

      var opciones 		= form.selectMultipleMarcados;

      //Se recorren las opciones para saber si se ha seleccionado alg?n registro

	  for(var z=(tam-1);z>=0;z--){

	    if(opciones.options[z].selected) seleccionados++;

	  }

	  //Si no ha seleccionado ning?n registro se muestra un mensaje que indica que debe hacerlo

	  if (seleccionados<1){

	    alert(mensaje);

	  }else{

	    for(var i=(tam-1);i>=0;i--){

	      if(opciones.options[i].selected){

	        opciones.options[i] = null;

	      }

	    }

	    opciones.selectedIndex = -1;

	  }

}

//Se cierra el pop-up m?ltiple

function cerrarPopUpMultiple(){

	//Variable que contiene el formulario

	var form 		= document.formBuscadorGeneral;

	//C?digo que selecciona las opciones del combo select multiple inferior

	var tam 		= form.selectMultipleMarcados.options.length;

    var opciones 	= form.selectMultipleMarcados;

	//Se comprueba si se quiere devolver los valores a un select list

	//de la p?gina invocante

	if(form.returnSelectListBuscadorGeneral.value!=""){

		//Se obtiene el campo del select list del padre

	    var campoSelectListPadre = eval("window.opener.document.all['" + form.returnSelectListBuscadorGeneral.value +"']");

    	//Se recorre el select multiple

    	for (j=(tam-1);j>=0;j--){

    		//Se optiene el valor a mostrar

    		var valor 		= opciones.options[j].value;

			//Variable que indica el n?mero de opciones que dispone

			var stoplength 	= campoSelectListPadre.options.length++;

			//Se pone el texto

			campoSelectListPadre.options[stoplength].text  = valor.substring(valor.indexOf("_")+1,valor.length);

			//Se pone el valor

			campoSelectListPadre.options[stoplength].value = valor.substring(0,valor.indexOf("_"));

    	}

	}//En este caso se quieren devolver los valores a una funci?n JS 

	else if(form.callBackFunctionJS.value!=""){

		//Controlamos si se tiene que llamar a una funcion de la pagina llamante

		var callBackFunctionJS = document.all["callBackFunctionJS"].value; 

		//Se genera un array JS

		var array = new Array(tam);

		//Variable del array

		var iArray = 0;

		//Se recorre el select multiple

    	for (j=(tam-1);j>=0;j--){

    		//Se optiene el valor a mostrar

    		var valor 		= opciones.options[j].value;

    		//Se asocia el valor al array

    		array[iArray]	= valor.substring(0,valor.indexOf("_"));

    		//Se aumenta el valor de la variable

    		iArray++;

    	}

		//Se llama a la funci?n padre envi?ndole el array

		funcion=eval("window.opener."+callBackFunctionJS);

		funcion(array);

	}

	//Se cierra la ventana

	window.close();

}